%global extuuid		gtk4-ding@smedius.gitlab.com
%global extdir		%{_datadir}/gnome-shell/extensions/%{extuuid}
%global gschemadir	%{_datadir}/glib-2.0/schemas
%global gitname		desktop-icons-ng
%global giturl		https://gitlab.com/smedius/desktop-icons-ng

Name:		gnome-shell-extension-desktop-icons-ng
Version:	100.2
Release:	1%{?dist}
Summary:	Adds Gtk4 icons to the Gnome desktop. Gtk4 Fork of the original Desktop Icons extension, with several enhancements.

License:	GPLv2+
URL:		https://extensions.gnome.org/extension/5263/gtk4-desktop-icons-ng-ding/
Source0:    https://gitlab.com/smedius/desktop-icons-ng/-/archive/Gtk4-%{version}/desktop-icons-ng-Gtk4-%{version}.tar.gz

BuildRequires:  meson
BuildRequires:  ninja-build
BuildRequires:  glib2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  gtk-update-icon-cache
BuildRequires:  fdupes
BuildArch:      noarch

%description
Gtk4 Desktop Icons NG is an extension and a program together for the GNOME Shell that renders
icons on the desktop. It is a fork from DING. Desktop Icons NG (DING) by Sergio Costas itself is a
fork/rewrite of the official 'Desktop Icons' extension, originally by Carlos Soriano. This new Gtk4
extension was originally submitted upstream to the DING project as a merge request. It was not merged
for quite some time with development continuing on both branches simultaneously. The branches started
diverging significantly, and further, the new commit's in the original DING branch were not easily
adaptable to changes already made in this gtk4 branch. That made it very difficult to rebase and merge
all the new changes to the original branch. A mutual decision was therefore made to continue
independent development of both branches. Important bug fixes from branches are still back ported and
forward-ported between them. Therefore there are two extensions available, the classic DING that uses
Gtk 3, and this newer fork based on Gtk 4 and libadwaita.

%prep
%autosetup -n desktop-icons-ng-Gtk4-%{version}

%build
meson --prefix=%{_prefix} --localedir=%{_datadir}/gnome-shell/extensions/ding@rastersoft.com/locale .build
ninja -C .build

%install
DESTDIR=%{buildroot} ninja -C .build install

# Make .desktop file hidden, extension preferences are in still-control
sed -i '/\[Desktop Entry\]/a\Hidden=true' %{buildroot}%{_datadir}/applications/com.desktop.ding.desktop

%files
%doc README.md
%{_datadir}/gnome-shell/extensions/gtk4-ding@smedius.gitlab.com
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/com.desktop.ding.desktop
%{_datadir}/icons/hicolor/scalable/apps/com.desktop.ding.svg
/etc/apparmor.d/gtk4-desktop-icons

%changelog
* Wed May 21 2025 Cameron Knauff
- Initial package
